HOWTO Upgrade to Asterisk 1.8.23-vici

General and Support topics relating to ViciDialNow and GoAutoDial ISO installers

Moderators: enjay, williamconley, Op3r, Staydog, gardo, mflorell, MJCoate, mcargile, Kumba, s0lid

HOWTO Upgrade to Asterisk 1.8.23-vici

Postby gardo » Mon Dec 09, 2013 1:14 am

Due to popular demand, Asterisk 1.8 is now supported. Here's the HOWTO: http://goautodial.org/projects/goautodialce/wiki/Asterisk18.

This is based from the patched version of Asterisk 1.8.23 by the Vicidial group. 8)

Let us know how it goes folks. :D
http://goautodial.com
Empowering the next generation contact centers
gardo
 
Posts: 1925
Joined: Fri Sep 15, 2006 10:24 am
Location: Manila, 1004

Re: HOWTO Upgrade to Asterisk 1.8.23-vici

Postby bbakirtas » Thu Dec 12, 2013 10:01 am

Only Version 3?
Goautodial 2.1 - VERSION: 2.4-309a - BUILD: 110430-1642
http://www.burakbakirtas.com/files/
bbakirtas
 
Posts: 58
Joined: Thu Dec 06, 2012 3:35 am
Location: Turkey

Re: HOWTO Upgrade to Asterisk 1.8.23-vici

Postby gardo » Fri Dec 13, 2013 10:05 am

It's possible to use Asterisk 1.8.X in lower versions of GOautodial. However, you need to upgrade Vicidial 2.7 RC1 or higher (SVN versions) to be able to use it.
http://goautodial.com
Empowering the next generation contact centers
gardo
 
Posts: 1925
Joined: Fri Sep 15, 2006 10:24 am
Location: Manila, 1004

Re: HOWTO Upgrade to Asterisk 1.8.23-vici

Postby williamconley » Mon Dec 16, 2013 12:32 am

Compatibility with asterisk 1.8 is based on the Vicidial code. Since GoAutoDial is an Installer for Vicidial ... the Goautodial version is not related to Asterisk 1.8 compatibility.

You must have a late enough version of Vicidial installed to be compatible with Asterisk 1.8.

But if you have installed an earlier Goautodial, with earlier Vicidial code in it ... you'll need to upgrade the Vicidial code. Upgrading the Goautodial distro will get you very close, then the patch for 1.8 (in this post) will get you there.

OR you can manually upgrade the Vicidial code in any earlier Goautodial, but you'll likely lose all the goautodial pretty stuff. Helpful only if you WANT CentOS at that version (without upgrading it) and also want Asterisk 1.8. Not very likely these days. Easier to just upgrade the Goatuodial distro (with instructions on the goautodial wiki).

If you want Asterisk 1.8 "out of the box", you can use Vicibox.com to install instead of GoAutoDial. You'll lose the pretty Goauto wizards, but you'll have the latest Vicidial Code (and a lot more IT support technicians all over the world than Goautodial has).

PoundTeam, of course, supports both ... but not very many shops are able to keep up with both distros.

I will say this for GoAutoDial: It has a smaller following but is a very stable distro. As long as you don't want/need the latest Vicidial Code. Not a bad idea to install both in Virtual Machines and compare them. In the end the underlying Vicidial Code is what runs the show, and they both accomplish that very well.
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 16495
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)


Return to ViciDialNow - GoAutoDial

Who is online

Users browsing this forum: Google [Bot], Yahoo [Bot] and 2 guests